/**
 *
 */
package Member;

import java.util.List;

import vofiles.EmpVOmember;
import Viewer.PrintInfo;
import dao.MemberDao;

/**
 * @author Kayano
 *
 */
public class MemberAllPrintBean implements MemberBean {

    /* (非 Javadoc)
     * @see Member.MemberBean#input(java.lang.String)
     */
    @Override
    public boolean input() {
        return true;
    }

    /* (非 Javadoc)
     * @see Member.MemberBean#execute(java.lang.String)
     */
    @Override
    public void execute() {
        //System.out.println(fileName+"######");
        MemberDao ezDAO = new MemberDao();
        List<EmpVOmember> list = ezDAO.getAllmulti();
        //取得不可の場合はプログラム終了
        if (list == null) {
            System.exit(0);
        }

        //項目名の選択
        PrintInfo.printHeaderMember();
        for (EmpVOmember empVOmember : list) {
            PrintInfo.printInfoMember(empVOmember);
        }

    }

    @Override
    public List<EmpVOmember> executeReturnAll() {
        //System.out.println(fileName+"######");
        MemberDao ezDAO = new MemberDao();
        List<EmpVOmember> list = ezDAO.getAllmulti();
        //取得不可の場合はプログラム終了
        if (list == null) {
            System.exit(0);
        }

        //ログ取得
        PrintInfo.printHeaderMember();
        for (EmpVOmember empVOmember : list) {
            PrintInfo.printInfoMember(empVOmember);
        }
        return list;
    }

    @Override
    public EmpVOmember executeReturn(String fileName) {
        // TODO 自動生成されたメソッド・スタブ
        return null;
    }

    @Override
    public EmpVOmember executeReturn(String fileName, String checkNumber, String checkMenuname, String checkDetails) {
        // TODO 自動生成されたメソッド・スタブ
        return null;
    }

    @Override
    public EmpVOmember executeInsertReturn(String fileName, String[] emp) {
        // TODO 自動生成されたメソッド・スタブ
        return null;
    }

    @Override
    public boolean input(String fileName) {
        // TODO 自動生成されたメソッド・スタブ
        return false;
    }

    @Override
    public void execute(String fileName) {
        // TODO 自動生成されたメソッド・スタブ

    }

    @Override
    public List<EmpVOmember> executeReturnAll(String fileName) {
        // TODO 自動生成されたメソッド・スタブ
        return null;
    }

}
